# Distributed Cloud Edge Container API

- [REST Resource: v1.projects.locations](https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest#v1.projects.locations)
- [REST Resource: v1.projects.locations.clusters](https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest#v1.projects.locations.clusters)
- [REST Resource: v1.projects.locations.clusters.nodePools](https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest#v1.projects.locations.clusters.nodePools)
- [REST Resource: v1.projects.locations.machines](https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest#v1.projects.locations.machines)
- [REST Resource: v1.projects.locations.operations](https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest#v1.projects.locations.operations)
- [REST Resource: v1.projects.locations.vpnConnections](https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest#v1.projects.locations.vpnConnections)

## Service: edgecontainer.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://edgecontainer.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://edgecontainer.googleapis.com`

## REST Resource: [v1.projects.locations](https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations/get` | `GET /v1/{name=projects/*/locations/*}` Gets information about a location. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations/list` | `GET /v1/{name=projects/*}/locations` Lists information about the supported locations for this service. |

## REST Resource: [v1.projects.locations.clusters](https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.clusters)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.clusters/create` | `POST /v1/{parent=projects/*/locations/*}/clusters` Creates a new Cluster in a given project and location. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.clusters/delete` | `DELETE /v1/{name=projects/*/locations/*/clusters/*}` Deletes a single Cluster. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.clusters/generateAccessToken` | `GET /v1/{cluster=projects/*/locations/*/clusters/*}:generateAccessToken` Generates an access token for a Cluster. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.clusters/get` | `GET /v1/{name=projects/*/locations/*/clusters/*}` Gets details of a single Cluster. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.clusters/list` | `GET /v1/{parent=projects/*/locations/*}/clusters` Lists Clusters in a given project and location. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.clusters/patch` | `PATCH /v1/{cluster.name=projects/*/locations/*/clusters/*}` Updates the parameters of a single Cluster. |

## REST Resource: [v1.projects.locations.clusters.nodePools](https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.clusters.nodePools)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.clusters.nodePools/create` | `POST /v1/{parent=projects/*/locations/*/clusters/*}/nodePools` Creates a new NodePool in a given project and location. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.clusters.nodePools/delete` | `DELETE /v1/{name=projects/*/locations/*/clusters/*/nodePools/*}` Deletes a single NodePool. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.clusters.nodePools/get` | `GET /v1/{name=projects/*/locations/*/clusters/*/nodePools/*}` Gets details of a single NodePool. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.clusters.nodePools/list` | `GET /v1/{parent=projects/*/locations/*/clusters/*}/nodePools` Lists NodePools in a given project and location. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.clusters.nodePools/patch` | `PATCH /v1/{nodePool.name=projects/*/locations/*/clusters/*/nodePools/*}` Updates the parameters of a single NodePool. |

## REST Resource: [v1.projects.locations.machines](https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.machines)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.machines/get` | `GET /v1/{name=projects/*/locations/*/machines/*}` Gets details of a single Machine. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.machines/list` | `GET /v1/{parent=projects/*/locations/*}/machines` Lists Machines in a given project and location. |

## REST Resource: [v1.projects.locations.operations](https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.operations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.operations/cancel` | `POST /v1/{name=projects/*/locations/*/operations/*}:cancel` Starts asynchronous cancellation on a long-running operation. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.operations/delete` | `DELETE /v1/{name=projects/*/locations/*/operations/*}` Deletes a long-running operation. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.operations/get` | `GET /v1/{name=projects/*/locations/*/operations/*}` Gets the latest state of a long-running operation. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.operations/list` | `GET /v1/{name=projects/*/locations/*}/operations` Lists operations that match the specified filter in the request. |

## REST Resource: [v1.projects.locations.vpnConnections](https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.vpnConnections)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/create` | `POST /v1/{parent=projects/*/locations/*}/vpnConnections` Creates a new VPN connection in a given project and location. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/delete` | `DELETE /v1/{name=projects/*/locations/*/vpnConnections/*}` Deletes a single VPN connection. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/get` | `GET /v1/{name=projects/*/locations/*/vpnConnections/*}` Gets details of a single VPN connection. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.6.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/list` | `GET /v1/{parent=projects/*/locations/*}/vpnConnections` Lists VPN connections in a given project and location. |